# TODO:
# - what about suggesting to install GRUB? GRUB has EA: %{ix86}
Summary:	Wrapper for managing boot services
Summary(pl.UTF-8):	Skrypty do zarządzania bootloaderami
Name:		rc-boot
Version:	1.1
Release:	7
License:	GPL
Group:		Base
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	2a6e4d604d938ab7567e419c21725d88
Source1:	PLD.image
Patch0:		%{name}-prefer-PLD.patch
Requires:	rc-boot-bootloader
Requires:	sed
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/sysconfig/rc-boot

%description
Wrapper for managing boot services.

%description -l pl.UTF-8
Skrypty do zarządzania bootloaderami.

%package -n rc-boot-image-PLD
Summary:	PLD image for rc-boot
Summary(pl.UTF-8):	Obraz PLD dla rc-boot
Group:		Base
Requires:	rc-boot

%description -n rc-boot-image-PLD
PLD image for rc-boot.

%description -n rc-boot-image-PLD -l pl.UTF-8
Obraz PLD dla rc-boot.

%prep
%setup -q
%patch0 -p1
mv doc/Assum{tp,pt}ions # typo ;)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_sysconfdir}/images,%{_mandir}/man8}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/images/PLD

install src/rc-boot	$RPM_BUILD_ROOT/sbin
install doc/config	$RPM_BUILD_ROOT%{_sysconfdir}
install doc/rc-boot.8	$RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%postun -n rc-boot-image-PLD
/sbin/rc-boot 1>&2 || :

%post -n rc-boot-image-PLD
/sbin/rc-boot 1>&2 || :

%files
%defattr(644,root,root,755)
%doc doc/{Assumptions,Authors,BUGS,README,config,image}
%attr(754,root,root) /sbin/rc-boot
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config
%attr(750,root,root) %dir %{_sysconfdir}/images
%{_mandir}/man8/*

%files -n rc-boot-image-PLD
%defattr(644,root,root,755)
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/images/PLD
%changelog
* Fri Mar 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rc-boot.git;a=log;h=master

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> ada9485
- x32 rebuild
- release 7 (by relup.sh)

* Sun Jan 06 2008 arvenil <arvenil@pld-linux.org> fd8168c
- rm "R: bootloader"
- R: rc-boot-bootloader
- reverted add "S: rc-boot-lilo" - mistake (thanks to qbosh)
- s#/etc/sysconfig/rc-boot#%{_sysconfdir}#
- dropped Conflicts (not needed anymore)

* Sat Jan 05 2008 arvenil <arvenil@pld-linux.org> 0c35f88
- S: rc-boot-lilo
- added TODO

* Fri Jan 04 2008 arvenil <arvenil@pld-linux.org> ec9d302
- no need to check if rc-boot binary exist becouse we require rc-boot

* Fri Jan 04 2008 Elan Ruusamäe <glen@pld-linux.org> ed4fa49
- spelling

* Thu Jan 03 2008 arvenil <arvenil@pld-linux.org> 7930166
- added image config for rc-boot (default PLD image)
- added patch - prefer PLD image when default is not selected
- release 6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 23a31e3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5a78e0c
- converted to UTF-8

* Tue May 24 2005 Elan Ruusamäe <glen@pld-linux.org> b266f3f
- typo

* Sun Oct 10 2004 havner <havner@pld-linux.org> fe6ea1f
- rel 5

* Mon Sep 20 2004 havner <havner@pld-linux.org> 80465c1
- [mass commit] rel up for amd64 rebuild

* Mon Nov 24 2003 averne <averne@pld-linux.org> fd2ef7d
- updated release

* Wed May 28 2003 Michal Moskal <michal@moskal.me> aa8b046
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> cbaf0e6
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Nov 09 2002 Tomasz Pala <gotar@pld-linux.org> 958721a
- Source0 URL was invalid,
- Requires: sed,
- cosmetics,
- release 2.

* Tue Aug 20 2002 Grzegorz Sterniczuk <grzegorz@sterniczuk.eu> 0573906
- some cleanups
- new %doc

* Tue Aug 20 2002 dobrek <dobrek@pld-linux.org> 1ea9123
- Updated to 1.1

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> f6f117a
- sync with SPECS/rc-boot.spec

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> adef533
- spec ver 0.7.2

* Sat Oct 20 2001 Michal Moskal <michal@moskal.me> 798a951
- WHERE_THE_LOADER_IS_INSTALLED --- > STAGE2
- VERSION 0.7.2

